Bug 1125059 - [abrt] nm-connection-editor: g_value_set_object(): nm-connection-editor killed by SIGSEGV [NEEDINFO]
Summary: [abrt] nm-connection-editor: g_value_set_object(): nm-connection-editor kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:56b2e85fdd585e4d1a489b45ea0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 02:02 UTC by Panos Labropoulos
Modified: 2015-06-29 21:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:52:07 UTC
jklimes: needinfo? (panos)


Attachments (Terms of Use)
File: backtrace (27.79 KB, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details
File: core_backtrace (11.45 KB, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details
File: dso_list (12.48 KB, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details
File: environ (1.09 KB, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details
File: maps (62.57 KB, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details
File: open_fds (1.76 KB, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details
File: var_log_messages (209 bytes, text/plain)
2014-07-31 02:02 UTC, Panos Labropoulos
no flags Details

Description Panos Labropoulos 2014-07-31 02:02:09 UTC
Version-Release number of selected component:
nm-connection-editor-0.9.9.0-10.git20140123.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        nm-connection-editor
crash_function: g_value_set_object
executable:     /usr/bin/nm-connection-editor
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_value_set_object at gobject.c:3752
 #1 gtk_tree_model_get_valist at gtktreemodel.c:1763
 #2 gtk_tree_model_get at gtktreemodel.c:1727
 #3 get_iter_for_connection at nm-connection-list.c:121
 #4 connection_updated at nm-connection-list.c:740
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 replace_settings at nm-remote-connection.c:391
 #9 updated_get_settings_cb at nm-remote-connection.c:434
 #10 complete_pending_call_and_unlock at dbus-connection.c:2314

Comment 1 Panos Labropoulos 2014-07-31 02:02:12 UTC
Created attachment 922778 [details]
File: backtrace

Comment 2 Panos Labropoulos 2014-07-31 02:02:13 UTC
Created attachment 922779 [details]
File: cgroup

Comment 3 Panos Labropoulos 2014-07-31 02:02:15 UTC
Created attachment 922780 [details]
File: core_backtrace

Comment 4 Panos Labropoulos 2014-07-31 02:02:16 UTC
Created attachment 922781 [details]
File: dso_list

Comment 5 Panos Labropoulos 2014-07-31 02:02:17 UTC
Created attachment 922782 [details]
File: environ

Comment 6 Panos Labropoulos 2014-07-31 02:02:19 UTC
Created attachment 922783 [details]
File: exploitable

Comment 7 Panos Labropoulos 2014-07-31 02:02:20 UTC
Created attachment 922784 [details]
File: limits

Comment 8 Panos Labropoulos 2014-07-31 02:02:24 UTC
Created attachment 922785 [details]
File: maps

Comment 9 Panos Labropoulos 2014-07-31 02:02:26 UTC
Created attachment 922786 [details]
File: open_fds

Comment 10 Panos Labropoulos 2014-07-31 02:02:27 UTC
Created attachment 922787 [details]
File: proc_pid_status

Comment 11 Panos Labropoulos 2014-07-31 02:02:28 UTC
Created attachment 922788 [details]
File: var_log_messages

Comment 12 Jirka Klimes 2014-08-18 14:20:27 UTC
Panos, do you have any idea how this happened? Is the crash reproducible?

Comment 13 Fedora End Of Life 2015-05-29 12:31:26 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:52:07 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.